--------------------------------------------------------------------------------
--     This file is owned and controlled by Xilinx and must be used           --
--     solely for design, simulation, implementation and creation of          --
--     design files limited to Xilinx devices or technologies. Use            --
--     with non-Xilinx devices or technologies is expressly prohibited        --
--     and immediately terminates your license.                               --
--                                                                            --
--     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"          --
--     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                --
--     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION        --
--     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION            --
--     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS              --
--     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                --
--     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE       --
--     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY               --
--     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                --
--     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR         --
--     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF        --
--     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS        --
--     FOR A PARTICULAR PURPOSE.                                              --
--                                                                            --
--     Xilinx products are not intended for use in life support               --
--     appliances, devices, or systems. Use in such applications are          --
--     expressly prohibited.                                                  --
--                                                                            --
--     (c) Copyright 1995-2007 Xilinx, Inc.                                   --
--     All rights reserved.                                                   --
--------------------------------------------------------------------------------
-- You must compile the wrapper file conv.vhd when simulating
-- the core, conv. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "CORE Generator Help".

-- The synthesis directives "translate_off/translate_on" specified
-- below are supported by Xilinx, Mentor Graphics and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
-- synthesis translate_off
Library XilinxCoreLib;
-- synthesis translate_on
ENTITY conv IS
	port (
	data_in: IN std_logic;
	data_out_v: OUT std_logic_VECTOR(1 downto 0);
	rdy: OUT std_logic;
	ce: IN std_logic;
	sclr: IN std_logic;
	clk: IN std_logic);
END conv;

ARCHITECTURE conv_a OF conv IS
-- synthesis translate_off
component wrapped_conv
	port (
	data_in: IN std_logic;
	data_out_v: OUT std_logic_VECTOR(1 downto 0);
	rdy: OUT std_logic;
	ce: IN std_logic;
	sclr: IN std_logic;
	clk: IN std_logic);
end component;

-- Configuration specification 
	--for all : wrapped_conv use entity XilinxCoreLib.convolution_v6_1(behavioral)
	for all : wrapped_conv use entity XilinxCoreLib.convolution_v7_0(behavioral)

		generic map(
			c_has_rffd => 0,
			c_output_rate => 2,
			c_constraint_length => 9,
			c_dual_channel => 0,
			c_punc_output_rate => 2,
			c_punc_input_rate => 1,
			c_has_rdy => 1,
			c_has_sclr => 1,
			c_has_nd => 0,
			c_punc_code1 => 0,
			c_punc_code0 => 0,
			c_has_rfd => 0,
			c_has_ce => 1,
			c_punctured => 0,
--			c_has_aclr => 0,
			c_has_fd => 0,
			c_convolution_code6 => 3,
			c_convolution_code5 => 3,
			c_convolution_code4 => 3,
			c_convolution_code3 => 3,
			c_convolution_code2 => 3,
			c_convolution_code1 => 491,
			c_convolution_code0 => 369);
-- synthesis translate_on
BEGIN
-- synthesis translate_off
U0 : wrapped_conv
		port map (
			data_in => data_in,
			data_out_v => data_out_v,
			rdy => rdy,
			ce => ce,
			sclr => sclr,
			clk => clk);
-- synthesis translate_on

END conv_a;

